/**
* Filename: EventFilter.java (in org.openbandy.event)
* This file is part of the BandyBasics project.
*
* www.openbandy.org
*/


package org.openbandy.event;


/**
 * TODO describe purpose and usage
 * 
 *  * <br><br>
 * (c) Copyright Philipp Bolliger 2007, ALL RIGHTS RESERVED.
 * 
 * @version 1.0
 * @author Philipp Bolliger (philipp@bolliger.name)
 */
public interface EventFilter{
    
    
    /**
     * Set the event sink that is target to this filter.
     * 
     * @param eventSink The event sink
     */
    public void setEventSink(EventSink eventSink);
    
    /**
     * May return another instance of the event sink or
     * null. If this method returns a valid event sink
     * object, the respective event sink will receive
     * all events unfiltered.
     */
    public EventSink getEventSinkUnfiltered();

    /**
     * Indicate wheter this filter absorbs and hence filters
     * a proviced type of event.
     * 
     * @param eventType The short class name of the event type
     * @return True if this filter absorbs this type of event
     */
    public boolean filtersEventType(String eventType);
    
    /**
     * Absorb the event, filter it and eventually forward the
     * event to the corresponding EventSink.
     * 
     * @param event The event to filter
     */
    public void filter(Event event);
    
}
