/**
* Filename: BooleanPreferencesTest.java (in org.openbandy.example.test)
* This file is part of the BandyBasics project.
*
* www.openbandy.org
* TODO check dass berall die richtige url drin steht
*/

package org.openbandy.example.test;

import org.openbandy.pref.Preferences;
import org.openbandy.service.LogService;
import org.openbandy.test.Test;

/**
 * TODO describe purpose and usage
 *
 * <br><br>
 * (c) Copyright Philipp Bolliger 2007, ALL RIGHTS RESERVED.
 *
 * @author Philipp Bolliger (philipp@bolliger.name)
 * @version 0.1
 * 
 */
public class BooleanPreferencesTest extends Test {

	public BooleanPreferencesTest() {
		super("Preferences Boolean");
	}

	public void run() {
		testStarted();
		
		try {
			/* create a new preference */
			Preferences.add("Car Rented", false);
			
			/* set the value to true */
			Preferences.setBooleanValue("Car Rented", true);
			
			/* read the pref value and compare */
			boolean prefValue = Preferences.getBooleanValue("Car Rented");
			if(! prefValue){
				testsScreen.setTestFailed(this);
			}
			
			/* delete the preference */
			Preferences.remove("Car Rented");
			
		} catch (Exception e) {
			LogService.error(this, e.getMessage(), e);
			testsScreen.setTestFailed(this);
		}
        
        
		/* try to read the preference value, must throw exception */
		try{
			Preferences.getValue("Car Rented");
			
			/* if this call didn't throw an exception, the test failed */
			testsScreen.setTestFailed(this);
		}
		catch(Exception upe){
			testsScreen.setTestPassed(this);
		}
		
		testFinished();
	}

}
