/**
* Filename: TestEvent.java (in org.openbandy.example.test)
* This file is part of the BandyEvents project.
*
* www.BandyEvents.org
*/

package org.openbandy.example.test;

import org.openbandy.event.Event;

/**
 * A simple example of an event. In addition to the attributes
 * of the basic <code>Event</code> class, this class also contains
 * a message.
 *
 * <br><br>
 * (c) Copyright Philipp Bolliger 2007, ALL RIGHTS RESERVED.
 *
 * @author Philipp Bolliger (philipp@bolliger.name)
 * @version 1.0
 * 
 */
public class TestEvent extends Event {
	
	/* string message */
	private String eventMessage = "";

	public TestEvent(String eventMessage){
		this.eventMessage = eventMessage;
	}
	
	/**
	 * Read the message
	 *
	 * @return The message stored
	 */
	public String getEventMessage() {
		return eventMessage;
	}

	/**
	 * Write the message
	 *
	 * @param eventMessage The message to write
	 */
	public void setEventMessage(String eventMessage) {
		this.eventMessage = eventMessage;
	}

}
