/**
* Filename: RmsTypeRecordStoreHeader.java (in org.openbandy.io.rms)
* This is part of the OpenBandy project.
* 
* www.openbandy.org
*/

package org.openbandy.io.rms;

import java.util.Enumeration;
import java.util.Vector;


/**
* The RmsTypeRecordStoreHeader class is used to represent a list of
* RMS identifiers (i.e. the number of the Record within the RecordStore).
*
* <br><br>
* (c) Copyright P. Bolliger 2007, ALL RIGHTS RESERVED.
*
* @author Philipp Bolliger (philipp@bolliger.name)
* @version 1.0
*/
public class RmsTypeRecordStoreHeader {
    
    public final static String ID_DELIMITER = ":";
    private String header = "";
    
    /* ************* Getter and Setter Methods ****************** */
    /**
     * TODO comment!
     *
     * @return
     */
    public String getHeader(){
        return header;
    }
    
    /**
     * TODO comment!
     *
     * @param header
     */
    public void setHeader(String header){
        this.header = header;
    }
    
    /**
     * TODO comment!
     *
     * @param id
     */
    public void addId(int id){
        if(header.length() == 0){
            header = header+ID_DELIMITER;
        }
        header = header+Integer.toString(id)+ID_DELIMITER;
    }
    
    /**
     * TODO comment!
     *
     * @param id
     */
    public void removeId(int id){
        int startIndex = 0;
        int endIndex = header.indexOf(ID_DELIMITER, 1);
        
        while(endIndex != -1){
            int currentId = Integer.parseInt(header.substring(startIndex+1, endIndex));
            if(currentId == id){
                String headerFirstPart = header.substring(0, startIndex+1);
                String headerSecondPart = header.substring(endIndex+1);
                header = headerFirstPart+headerSecondPart;
                break;
            }
            
            startIndex = endIndex;
            endIndex = header.indexOf(ID_DELIMITER, endIndex+1);
        }
    }
    
    /**
     * TODO comment!
     *
     * @return
     */
    public Enumeration getTypeRecordStoreIds(){
        String headerCopy = new String(header);
        Vector ids = new Vector();
        
        int delimiterIndex = header.indexOf(ID_DELIMITER, 1);
        while(delimiterIndex != -1){
            String id = headerCopy.substring(1,delimiterIndex);
            headerCopy = headerCopy.substring(delimiterIndex);
            ids.addElement(id);
            delimiterIndex = headerCopy.indexOf(ID_DELIMITER, 1);
        }
        
        return ids.elements();
    }
    
    /**
     * TODO comment!
     *
     * @param headerAsString
     * @return
     */
    public static boolean isValidHeaderString(String headerAsString){
    	return (headerAsString.startsWith(RmsTypeRecordStoreHeader.ID_DELIMITER) && 
    			headerAsString.endsWith(RmsTypeRecordStoreHeader.ID_DELIMITER));
    }

}
